- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# netbuf Struct Reference

`#include <api.h>`

## Data Fields
err_t | err
ip_addr * | fromaddr
uInt16 | fromport
pbuf * | p
pbuf * | ptr

## Detailed Description

Definition at line 68 of file api.h.

## Field Documentation

err_t netbuf::err

Definition at line 72 of file api.h.

Referenced by lwip_send().

struct ip_addr* netbuf::fromaddr

Definition at line 70 of file api.h.

Referenced by netbuf_fromaddr(), netconn_recv(), and recv_udp().

uInt16 netbuf::fromport

Definition at line 71 of file api.h.

Referenced by netbuf_fromport(), netconn_recv(), and recv_udp().

struct pbuf* netbuf::p

Definition at line 69 of file api.h.

Referenced by netbuf_alloc(), netbuf_chain(), netbuf_copy_partial(), netbuf_delete(), netbuf_first(), netbuf_free(), netbuf_len(), netbuf_new(), netbuf_ref(), netconn_recv(), netconn_send(), and recv_udp().

struct pbuf * netbuf::ptr

Definition at line 69 of file api.h.

Referenced by netbuf_alloc(), netbuf_chain(), netbuf_data(), netbuf_delete(), netbuf_first(), netbuf_free(), netbuf_new(), netbuf_next(), netbuf_ref(), netconn_recv(), and recv_udp().

The documentation for this struct was generated from the following file:

- src/sys/include/net/api.h